Subject: bug#19576: write-file writes the wrong buffer

From: Juri Linkov <[email-masked]>
Date: Tue, 17 Nov 2015 02:55:39 +0200

>> Conceptually it should be easy to do that.  Save/restore current buffer,
>> selected window and frame.  But Alan (concerned about ‘follow-mode’),
>> Pip (who unfortunately disappeared) and Eli are currently discussing how
>> to fix ‘window-size-change-functions’ in various other ways as well.
>> I'll try to get the fix of this bug applied there too.
>
> This sounds good!
>
> If Alan has any thoughts on follow mode, I'd be happy to discuss them. I
> might need a bit of a refresher, though -- after all, I wrote it more than
> twenty years ago.

I hope Alan (Cc:ed) could explain in details all improvements he's doing
in bug#17453.

Meanwhile, I'm taking an opportunity to ask you about your intriguing comment
in follow.el:

;; Almost like the real thing, except when the cursor ends up outside
;; the top or bottom...  In our case however, we end up outside the
;; window and hence we are recentered.  Should we let `recenter' handle
;; the point position we would never leave the selected window.  To do
;; it ourselves we would need to do our own redisplay, which is easier
;; said than done.  (Why didn't I do a real display abstraction from
;; the beginning?)

What a real display abstraction would you create if you designed
follow-mode today?